queue - Task #6685

Task # 6679 (Rejected): Create ungleich game, a flask based game to show system engineering skills

Implement game challenges 1-6
05/13/2019 09:36 PM - Nico Schottelius

Status: Rejected Start date: 05/13/2019
Priority: Normal Due date: 05/31/2019
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

e challenge 1: register an ipv6 network (10 points)
o we generate a random ip in that network, name it "user ip"

¢ challenge 2: the user needs to configure the "user ip" to be ping'able; gets points when the user triggers/submits and at that time
we can ping the ip address (20 points)

¢ challenge 3: the user needs to be reachable by http on her "user ip" (30 points if reachable)

¢ challenge 4: the user needs to configure a DNS server that is answering requests in the domain "$username.ungleich.cloud"
(120 points)

¢ challenge 5: the user needs setup a second DNS server; we generate a 2nd random IP and let the user know the ip address;
successful if it answers requests in "$username.ungleich.cloud" (20 points)

¢ challenge 6: setup https: we generate a DNS name ("$username.something”) and the user needs to retrieve an SSL certificate
from letsencrypt and should be reachable via https (80 points)

History

#1 - 05/13/2019 09:44 PM - Nico Schottelius
- Subject changed from Implement game challenges 1-10 to Implement game challenges 1-6
- Description updated

- Due date set to 05/31/2019

#2 - 05/15/2019 08:51 AM - Roland Zweifel

- Status changed from New to Seen

#3 - 05/15/2019 08:52 AM - Roland Zweifel
@Nico Schottelius
i need more time to understand how to code python with a html website.

#4 - 05/15/2019 08:52 AM - Roland Zweifel

- Status changed from Seen to Waiting

#5 - 05/15/2019 12:24 PM - Nico Schottelius

Why is the status waiting and not in progress Roli?

redmine@ungleich.ch writes:

#6 - 05/15/2019 02:10 PM - Roland Zweifel

- Status changed from Waiting to In Progress

@Nico Schottelius

The Status was on waiting, because i need to understand the structure of my solution. Need to find out how i can solve it with input/output. For my
solution need to know how the "coding" works. | cant see the structure in this language yet. | know the challenge, but im e newby in flask.

#7 - 05/15/2019 03:06 PM - Roland Zweifel
Nico Schottelius wrote:

challenge 1: register an ipv6 network (10 points)

o we generate a random ip in that network, name it "user ip"
challenge 2: the user needs to configure the "user ip" to be ping'able; gets points when the user triggers/submits and at that time we can
ping the ip address (20 points)
challenge 3: the user needs to be reachable by http on her "user ip" (30 points if reachable)
challenge 4: the user needs to configure a DNS server that is answering requests in the domain "$username.ungleich.cloud" (120 points)
challenge 5: the user needs setup a second DNS server; we generate a 2nd random IP and let the user know the ip address; successful if it
answers requests in "$username.ungleich.cloud" (20 points)
challenge 6: setup https: we generate a DNS name ("$username.something") and the user needs to retrieve an SSL certificate from
letsencrypt and should be reachable via https (80 points)

Questions to Nico:

CH 1:

Define register: When registering means to add a IPv6 Address the user has to find a IPvé DHCP client somewhere. (How to register a ipv6? ip addr
add :: /dev/eth ? Then Ping)

CH 2:

When i add a IPv6 Address in a IPv4 Network, is this ip ping-able?

#8 - 05/15/2019 03:20 PM - Nico Schottelius

Challenge 1

How the user gets a /64, is NOT part of the challenge. The user has to
have access to a /64 before starting the game.

To join the game, the user will register her /64 and gets the first 10

points.

l.e. the user POSTs the network to /game/register:

{ "net": "2a0a:e5c1:111:111::/64" }

Challenge 2

We select a random IP address (pyhon: range(0,2**64)) and the user can
retrieve this address from our game

(

for instance:

GET /game/my-ip returns

{ "ipv6-address": "2a0a:e5c1:111:111:3185:802:6548:658¢" }

Then the user has to setup the IP address on her system. When she is
ready, she tells the game that she is ready:

POST-OR-GET /challenge/ping

Then our game tries to ping that IPv6 address. If it is sucessful, she
gets 20 points.

All clear?

redmine@ungleich.ch writes:

#9 - 06/23/2019 07:01 PM - Nico Schottelius

- Status changed from In Progress to Rejected

#10 - 06/23/2019 07:02 PM - Nico Schottelius

- Status changed from Rejected to New

- Assignee deleted (Roland Zweifel)

#11 - 01/03/2024 10:51 AM - Nico Schottelius
- Status changed from New to Rejected
